Subject: Re: [PATCH 0/5] "best effort" checkout

From: Mark Levedahl <[email-masked]>
Date: Thu, 29 May 2008 21:09:44 -0400

Junio C Hamano wrote:
> I hope you did not use 6/5.  My understanding is that your platform
> natively supports it without that compatibility layer ;-)
>   
That is a very polite way to express things, and no I did not apply that 
patch.
>
> I expected to see "deleted" here.  I guess lstat("anything/nul") says "it
> exists" everywhere, and that probably is why you are getting EEXIST.
>
>   
Indeed:

git>ls nul
nul
git>ls nul*
ls: cannot access nul*: No such file or directory

So, any test for existence of <path>NUL will pass, but NUL never appears 
in a directory listing. The same is true of the other special filenames 
under Windows (aux, ...).

Mark